vellTRDocs
API ReferenceTransactionsTransaction Ledger

Transaction Ledger

GET/v1/transactions/{id}/ledgerOptional

The balanced double-entry ledger legs posted for a transaction, joined with account types.

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/transactions/{id}/ledger\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time (±5 min)

Response Parameters

FieldTypeExample
itemsarray[…]
items[].accountTypestring"buyer_pending"
items[].directionstring"DEBIT"
items[].amountinteger15000
items[].currencystring"TRY"

Response Example

JSONResponse
{
  "items": [
    {
      "accountType": "buyer_pending",
      "direction": "DEBIT",
      "amount": 15000,
      "currency": "TRY"
    },
    {
      "accountType": "merchant_reserve",
      "direction": "CREDIT",
      "amount": 14551,
      "currency": "TRY"
    },
    {
      "accountType": "platform_commission",
      "direction": "CREDIT",
      "amount": 449,
      "currency": "TRY"
    }
  ]
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group